 
 
import json

import requests

url = "https://solana-mainnet.g.alchemy.com/v2/pxF-cEkEE1JxzxgotGyww5ra5w1IvAkJ"
str_dalao_address = ""

import requests

url = "https://solana-mainnet.g.alchemy.com/v2/pxF-cEkEE1JxzxgotGyww5ra5w1IvAk"

payload_getProgramAccounts = {
    "id": 1,
    "jsonrpc": "2.0",
    "method": "getProgramAccounts",
    "params": [
        "PERPHjGBqRHArX4DySjwM6UJHiR3sWAatqfdBS2qQJu",
        
        { "encoding": "jsonParsed" }]
}
headers = {
    "accept": "application/json",
    "content-type": "application/json"
}

 
print(response.text)
 
 
response = requests.post(url, json=payload_getProgramAccounts, headers=headers)
response = json.loads(
response.text)
response_result = response["result"]
 
 

 
with open("response_result.json",mode='w') as f:
    json.dump(response_result,f)
 
 
 